package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class CategoryTreeListDTO {
   @ApiModelProperty("类型(1原料2商品)")
   private Integer categoryType;
   @ApiModelProperty("区域ID")
   private Long areaId;
   private List<Long> areaAuth;
   @ApiModelProperty("添加时调用")
   private Integer ifAdd;

   public Integer getCategoryType() {
      return this.categoryType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public List<Long> getAreaAuth() {
      return this.areaAuth;
   }

   public Integer getIfAdd() {
      return this.ifAdd;
   }

   public void setCategoryType(final Integer categoryType) {
      this.categoryType = categoryType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaAuth(final List<Long> areaAuth) {
      this.areaAuth = areaAuth;
   }

   public void setIfAdd(final Integer ifAdd) {
      this.ifAdd = ifAdd;
   }

}
